package com.mslji.socialmediaui;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.fragment.app.Fragment;

import android.content.Intent;
import android.media.Image;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.ImageView;

import com.google.android.material.bottomnavigation.BottomNavigationView;
import com.mslji.socialmediaui.Notification.NotificationActivity;
import com.mslji.socialmediaui.fragment.HomeFragment;
import com.mslji.socialmediaui.fragment.LocationFragment;
import com.mslji.socialmediaui.fragment.PlusFragment;
import com.mslji.socialmediaui.fragment.SearchFragment;
import com.mslji.socialmediaui.fragment.UserFragment;
import com.mslji.socialmediaui.message.MessageActivity;

public class MainActivity extends AppCompatActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        initView();



    }
    private void initView(){

        BottomNavigationView bottomNavigationView = (BottomNavigationView) findViewById(R.id.bottomNavView_Bar);

        Menu menu = bottomNavigationView.getMenu();
        MenuItem menuItem = menu.getItem(0);
        menuItem.setChecked(true);
        getSupportFragmentManager().beginTransaction().replace(R.id.fragment_container, new HomeFragment()).commit();
        bottomNavigationView.setOnNavigationItemSelectedListener(new BottomNavigationView.OnNavigationItemSelectedListener() {
            @Override
            public boolean onNavigationItemSelected(@NonNull MenuItem item) {
                Fragment selectedFragment = null;
                switch (item.getItemId()) {
                    case R.id.ic_home:
                        selectedFragment = new HomeFragment();

                        break;

                    case R.id.ic_search:
                        selectedFragment = new SearchFragment();
                        break;

                    case R.id.ic_plus:
                        selectedFragment = new PlusFragment();
                        break;

                    case R.id.ic_locations:
                        selectedFragment = new LocationFragment();
                        break;

                    case R.id.ic_user:
                        selectedFragment = new UserFragment();
                        break;

                }
                getSupportFragmentManager().beginTransaction().replace(R.id.fragment_container, selectedFragment).commit();


                return true;
            }
        });
    }

}