package com.mslji.socialmediaui.fragment;

import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;

import androidx.fragment.app.Fragment;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import com.mslji.socialmediaui.MainActivity;
import com.mslji.socialmediaui.Notification.NotificationActivity;
import com.mslji.socialmediaui.R;
import com.mslji.socialmediaui.adapter.FollowRequestAdapter;
import com.mslji.socialmediaui.adapter.StoryAdapter;
import com.mslji.socialmediaui.adapter.TimeLineAdapter;
import com.mslji.socialmediaui.message.MessageActivity;
import com.mslji.socialmediaui.model.GetStoryData;
import com.mslji.socialmediaui.model.GetTimeLine;
import com.mslji.socialmediaui.model.getNotificationData;

import java.util.ArrayList;

public class HomeFragment extends Fragment {
    public HomeFragment() {
        // Required empty public constructor
    }
    private ImageView ivnotiviation,ivsendiv;
    private RecyclerView mRecyclerViewStory,mRecyclerViewTimeLine;
    public RecyclerView.LayoutManager mLayoutManager;
    public GetStoryData request;
    private StoryAdapter storyAdapter;
    public ArrayList<GetStoryData> productList= new ArrayList<>();



    public GetTimeLine requesttime;
    private TimeLineAdapter timeAdapter;
    public ArrayList<GetTimeLine> productListTime = new ArrayList<>();
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {

        final View view;
        view = inflater.inflate(R.layout.home_activity_page, container, false);

        initView(view);
        getData();
        onClick();
        return view;


    }
    private void onClick(){
        ivsendiv.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getActivity(), MessageActivity.class);
                startActivity(intent);
            }
        });
        ivnotiviation.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(getActivity(), NotificationActivity.class);
                startActivity(intent);
            }
        });
    }
    private void getData(){
        if (productListTime.size()>0){
            productListTime.clear();
        }
        if (productList.size()>0){
            productList.clear();
        }

        request = new GetStoryData();
        request.setImage("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        request.setNames("Courtney");
        productList.add(request);

        request = new GetStoryData();
        request.setImage("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        request.setNames("Floyed");
        productList.add(request);


        request = new GetStoryData();
        request.setImage("https://img.freepik.com/free-photo/waist-up-portrait-handsome-serious-unshaven-male-keeps-hands-together-dressed-dark-blue-shirt-has-talk-with-interlocutor-stands-against-white-wall-self-confident-man-freelancer_273609-16320.jpg?size=626&ext=jpg");
        request.setNames("Esther");
        productList.add(request);




        storyAdapter = new StoryAdapter(getActivity(), productList);
        mLayoutManager = new LinearLayoutManager(getActivity(), LinearLayoutManager.HORIZONTAL, true);
        mRecyclerViewStory.setLayoutManager(mLayoutManager);
        mRecyclerViewStory.setAdapter(storyAdapter);




        requesttime = new GetTimeLine();
        requesttime.setUserimg("https://image.shutterstock.com/image-photo/portrait-happy-fashionable-handsome-man-260nw-600200732.jpg");
        requesttime.setName("Sumit Agarwal");
        requesttime.setCity("Kanpur, India");
        requesttime.setImg("https://cdn.pixabay.com/photo/2018/01/12/10/19/fantasy-3077928__340.jpg");
        requesttime.setDetails("This is good place");
        requesttime.setLike("10k");
        requesttime.setComm("4k");
        requesttime.setDownload("7k");
        productListTime.add(requesttime);


        requesttime = new GetTimeLine();
        requesttime.setUserimg("https://images.pexels.com/photos/2379004/pexels-photo-2379004.jpeg");
        requesttime.setName("Sanchit Agarwal");
        requesttime.setImg("https://www.marshallsindia.com/images/younique/nature/nature-cover-slider-6.jpg");
        requesttime.setCity("UP, India");
        requesttime.setDetails("This is good place");
        requesttime.setLike("10k");
        requesttime.setComm("4k");
        requesttime.setDownload("7k");
        productListTime.add(requesttime);


        timeAdapter = new TimeLineAdapter(getActivity(), productListTime);
        mLayoutManager = new LinearLayoutManager(getActivity(), LinearLayoutManager.VERTICAL, true);
        mRecyclerViewTimeLine.setLayoutManager(mLayoutManager);
        mRecyclerViewTimeLine.setAdapter(timeAdapter);
    }

    private void initView(View view){
        mRecyclerViewStory = (RecyclerView)view.findViewById(R.id.activity_mRecyclerView);
        mRecyclerViewTimeLine = (RecyclerView)view.findViewById(R.id.timeline_mRecyclerView);

        ivsendiv = (ImageView)view.findViewById(R.id.sendiv);
        ivnotiviation = (ImageView)view.findViewById(R.id.notificationiv);
    }
}
